[Setup]
AppName=FileDisk Extension
AppVerName=FileDisk Extension 1.1
AppPublisher=Gianluigi Tiesi
AppPublisherURL=http://oss.netfarm.it/
AppSupportURL=http://oss.netfarm.it/
AppUpdatesURL=http://oss.netfarm.it/
CreateAppDir=false
OutputBaseFilename=FileDiskExt-Setup
OutputDir=Setup
Compression=lzma
SolidCompression=true
MinVersion=0,5.0.2195
PrivilegesRequired=admin
AlwaysShowComponentsList=false
ShowLanguageDialog=auto
ArchitecturesAllowed=x86 x64
VersionInfoCompany=Netfarm S.r.l.
VersionInfoCopyright= 2007 Gianluigi Tiesi
VersionInfoVersion=1.1.0.0
VersionInfoDescription=File Disk Extension for FileDisk Driver
UninstallRestartComputer=true
AlwaysRestart=true

[Languages]
Name: english; MessagesFile: compiler:Default.isl

[Files]
; 32 bit
Source: Release\FileDiskExt.dll; DestDir: {sys}; Flags: regserver 32bit; Check: not IsWin64
Source: Drivers\filedisk.sys; DestDir: {sys}\drivers; Flags: 32bit; Check: not IsWin64

; 64 bit
Source: x64\Release\FileDiskExt.dll; DestDir: {sys}; Flags: regserver 64bit; Check: IsWin64
Source: Drivers\filedisk-amd64.sys; DestDir: {sys}\drivers; DestName: filedisk.sys; Flags: 64bit; Check: IsWin64

[Registry]
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\FileDisk; ValueType: dword; ValueName: ErrorControl; ValueData: $00000001
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\FileDisk; ValueType: dword; ValueName: Start; ValueData: $00000001
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\FileDisk; ValueType: dword; ValueName: Type; ValueData: $00000001
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\FileDisk\Parameters; ValueType: dword; ValueName: NumberOfDevices; ValueData: $00000004
